Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(242)

Issue 2831313002: [RLS] Update iframe scrollbar behaviour based on scrolling attribute (Closed)

Created:
1 year ago by Srirama
Modified:
12 months ago
Reviewers:
skobes, MuVen
CC:
chromium-reviews, blink-reviews, dshwang, blink-reviews-paint_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[RLS] Update iframe scrollbar behaviour based on scrolling attribute Currently in RLS path, scrollbar existence is not updated when "scrolling" attribute is "no". Updated PLSA::ComputeScrollbarExistence and PLSA::UserInputScrollable to consider scrollbar modes to turn of scrolling/scrollbars for root layers. BUG=711474 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2831313002 Cr-Commit-Position: refs/heads/master@{#467207} Committed: https://chromium.googlesource.com/chromium/src/+/31eb41c176f57dbdbf8d5ce4edd45d21a1c9a45c

Patch Set 1 #

Patch Set 2 : Fixed issue with test cases #

Patch Set 3 : Modify TestExpectations #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -3 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/paint/PaintLayerScrollableArea.cpp View 1 3 chunks +26 lines, -0 lines 0 comments Download

Messages

Total messages: 26 (18 generated)
Srirama
PTAL. Made changes according to the discussions. Verified locally by removing the scroll related testcases ...
1 year ago (2017-04-21 17:47:27 UTC) #8
skobes
On 2017/04/21 17:47:27, Srirama wrote: > PTAL. Made changes according to the discussions. Verified locally ...
1 year ago (2017-04-21 20:00:58 UTC) #9
Srirama
On 2017/04/21 20:00:58, skobes wrote: > On 2017/04/21 17:47:27, Srirama wrote: > > PTAL. Made ...
1 year ago (2017-04-24 15:36:55 UTC) #12
skobes
On 2017/04/24 15:36:55, Srirama wrote: > On 2017/04/21 20:00:58, skobes wrote: > > On 2017/04/21 ...
12 months ago (2017-04-24 21:29:32 UTC) #15
Srirama
On 2017/04/24 21:29:32, skobes wrote: > On 2017/04/24 15:36:55, Srirama wrote: > > On 2017/04/21 ...
12 months ago (2017-04-25 07:54:36 UTC) #20
skobes
lgtm
12 months ago (2017-04-25 19:58:31 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831313002/40001
12 months ago (2017-04-26 02:21:08 UTC) #23
commit-bot: I haz the power
12 months ago (2017-04-26 02:26:28 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/31eb41c176f57dbdbf8d5ce4edd4...

Powered by Google App Engine
This is Rietveld 408576698